I suggest you ...

Support Portable Class Libraries in VS 2013 for all platforms (including SL4 and WP7)

Visual Studio 2013 dropped tooling support for WP7 and SL4. That is fine, as for older projects, we can still use VS 2013.

A side-effect of that is that portable class libraries also no longer support WP7 or SL4. When you open PCLs that target those frameworks, they're upgraded to at least WP8 and SL5.

The problem is that in many projects, we need to still support libraries that target a wide range of devices. It's also likely that there's really no "uplevel" platform functionality needed by those libraries and there's no reason not to support the widest range.

PCL's VS 2013 should use any and all reference assemblies that are installed on the system; it shouldn't upgrade them.

54 votes
Vote
Sign in
Check!
(thinking…)
Reset
or sign in with
  • facebook
  • google
    Password icon
    I agree to the terms of service
    Signed in as (Sign out)
    You have left! (?) (thinking…)
    Oren NovotnyOren Novotny shared this idea  ·   ·  Flag idea as inappropriate…  ·  Admin →

    Thanks for taking the time to share this suggestion. This item has been around for a couple of versions of Visual Studio and we haven’t acted on it. Looking at the VS “15” plans, we’re not going to take action on this item, so we’re going to close it. If the suggestion is still relevant, please either take a look to see if there’s another suggestion that’s similar that you can vote on, or open a new suggestion.

    - The Visual Studio Team

    4 comments

    Sign in
    Check!
    (thinking…)
    Reset
    or sign in with
    • facebook
    • google
      Password icon
      I agree to the terms of service
      Signed in as (Sign out)
      Submitting...

      Feedback and Knowledge Base